<template>
  <div class="chat-input">
    <input class="login" v-model="login" placeholder="login...">
    <input class="message" v-model="message" placeholder="Write something...">
    <button v-on:click="sendMessage()">Send</button>
  </div>
</template>

<script>
import Firebase from '../../services/Firebase/Firebase.js'

export default {
  name: 'ChatInput',

  data () {
    return {
      login: '',
      message: ''
    }
  },

  methods: {
    sendMessage () {
      if (this.login !== '' && this.message !== '') {
        Firebase.sendMessage(this.login, this.message)
      }
    }
  }
}
</script>
